import { IColorButton, ILibsUiConfigButtonStatus, ILibsUiConfigButtonTab, ILibsUiConfigFontFamily, ILibsUiConfigFontHeading } from "./config-project.interface";
import * as i0 from "@angular/core";
export declare class LibsUiConfigProjectService {
    private readonly themeColor;
    private readonly borderColor;
    private readonly textErrorColor;
    private readonly iconHoverDangerColor;
    private readonly borderErrorColor;
    private readonly backgroundDisableColor;
    private readonly textReadonlyColor;
    private readonly textDisableColor;
    private readonly backgroundReadonlyColor;
    private readonly backgroundUserSelection;
    private readonly backgroundList;
    private readonly backgroundListHover;
    private readonly backgroundListHoverDanger;
    private readonly configFont;
    private readonly configHead;
    private readonly functionGetConfigButtonIncludes;
    private readonly configButton;
    private readonly configButtonSize;
    private readonly configButtonStatus;
    private readonly configButtonTab;
    private readonly styleClassGlobalEl;
    private readonly styleClassHeadEl;
    private readonly styleClassButtonTabEl;
    constructor();
    set ThemeColor(color: string);
    set BorderColor(color: string);
    set BorderErrorColor(color: string);
    set TextErrorColor(color: string);
    set IconHoverDangerColor(color: string);
    set BackgroundReadonlyColor(color: string);
    set TextReadonlyColor(color: string);
    set BackgroundUserSelection(color: string);
    set BackgroundList(color: string);
    set BackgroundListHover(color: string);
    set BackgroundListHoverDanger(color: string);
    set BackgroundDisableColor(color: string);
    set TextDisableColor(color: string);
    set ConfigFont(configFont: ILibsUiConfigFontFamily);
    set ConfigFontHead(configHead: ILibsUiConfigFontHeading);
    get ConfigButton(): import("@angular/core").Signal<{
        [key: string]: IColorButton;
    }>;
    set FunctionGetConfigButtonIncludes(functionGetConfigButtonIncludes: (rootColor: string) => {
        [key: string]: IColorButton;
    });
    get ConfigButtonStatus(): ILibsUiConfigButtonStatus;
    set ConfigButtonStatus(config: ILibsUiConfigButtonStatus);
    set ConfigButtonTab(config: ILibsUiConfigButtonTab);
    setupFontFamily(currentDoc?: Document): void;
    private setupFontHead;
    private setupButtonSize;
    private setupButtonTab;
    private setThemeColor;
    colorStepContrastFromOrigin(step: number, color?: string): import("@libs-ui/utils").IColorContrastFromOrigin | undefined;
    private setClassGlobal;
    private configString;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibsUiConfigProjectService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LibsUiConfigProjectService>;
}
